{ pkgs, lib, config, ... }:

{
  programs.emacs.enable = true;
  services.emacs.enable = true;
  home.activation.doom = lib.hm.dag.entryAfter["writeBoundary"] ''
    if [ ! -d .emacs.d ]; then
      git clone --depth 1 https://github.com/doomemacs/doomemacs .emacs.d
    fi
  '';
  home.file = {
    ".doom.d" = {
      source = ./.doom.d;
      recursive = true;
    };
  };
}
